import request from '@/utils/request'

// 查询流程任务列表
export function listWorkflow(query) {
  return request({
    url: '/workflow/workflow/list',
    method: 'get',
    params: query
  })
}

// 查询流程任务详细
export function getWorkflow(id) {
  return request({
    url: '/workflow/workflow/' + id,
    method: 'get'
  })
}

// 新增流程任务
export function addWorkflow(data) {
  return request({
    url: '/workflow/workflow',
    method: 'post',
    data: data
  })
}

// 修改流程任务
export function updateWorkflow(data) {
  return request({
    url: '/workflow/workflow',
    method: 'put',
    data: data
  })
}

// 删除流程任务
export function delWorkflow(id) {
  return request({
    url: '/workflow/workflow/' + id,
    method: 'delete'
  })
}
